Bug 442550 - kdump cannot write the dump out to a multipath device
kdump cannot write the dump out to a multipath device
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks: 550249 569459
  Show dependency treegraph
 
Reported: 2008-04-15 10:45 EDT by Craig Magina
Modified: 2012-08-03 15:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 11:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Experimental patch adding multipath support to mkdumprd (3.58 KB, patch)
2010-02-11 18:14 EST, Alan Pevec
no flags Details | Diff

  None (edit)
Description Craig Magina 2008-04-15 10:45:49 EDT
Description of problem:
The kdump initrd does not contain multipath for a boot from SAN configured
system. This makes it so the crash cannot be written out to the
/dev/mapper/mpath#p# device.

Version-Release number of selected component (if applicable):
RHEL 5.2 snap 4
Kernel 2.6.18-88.el
kexec-tools-1.102pre-16.el5

How reproducible:
Every time.

Steps to Reproduce:
1.Perform a RHEL 5.2-snap4 installation using mpath on the install boot line.
2.Configure kdump to use a multipath device, i.e. /dev/mapper/mpath0p5.
3.Cause a crash via 'echo "c" > /proc/sysrq_trigger'
  
Actual results:
kdump will be unable to write out the dump as the device does not exist.

Expected results:
The dump gets written out to the multipath device.

Additional info:
Tested using Emulex FC HBA connected to an HP EVA 4000.
Comment 1 Neil Horman 2008-04-15 11:29:08 EDT
Sorry, multipath is something that we're not able to currently do in kdump. 
Getting multipath to work consistently in most situations (especially those
where the path callout is a userspace program), is just to fragile at the
moement.  I've decided that multipath isn't an option for the time being.  I
recommend that you target network based dump target instead (nfs or scp).
Comment 2 Alan Pevec 2010-02-11 18:14:25 EST
Created attachment 390413 [details]
Experimental patch adding multipath support to mkdumprd

This might work for some multipath configurations, use at your own risk!
Comment 3 Dave Sullivan 2012-08-03 15:22:12 EDT
Multipath is not necessary for kdump to work to SAN disk.

See the section "Dumping to a SAN Device"

https://access.redhat.com/knowledge/solutions/6038

Note You need to log in before you can comment on or make changes to this bug.